import 'package:flutter_test/flutter_test.dart';

import 'package:convert_enum/convert_enum.dart';

enum MyEnum {
  ITEM1,
  ITEM2,
  ITEM3,
}

void main() {
  MyEnum aEnum = MyEnum.ITEM1;
  String aString = 'ITEM1';

  test('converts string to enum', () {
    expect(ConvertEnum().fromString(aString, MyEnum.values), aEnum);
  });

  test('converts enum to string', () {
    expect(ConvertEnum().string(aEnum), aString);
  });
}
